using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;
using Microsoft.EntityFrameworkCore;

namespace IWS5.DatabaseAccess.IwsDataModels;

[Table("ATTrackingRecordArc")]
public partial class AttrackingRecordArc
{
    [Key]
    public int TrackingRecordId { get; set; }

    [Column(TypeName = "datetime")]
    public DateTime TrackingDate { get; set; }

    public int WorkItemId { get; set; }

    public int ProcessId { get; set; }

    public int EventId { get; set; }

    [StringLength(32)]
    public string? Queue { get; set; }

    [StringLength(255)]
    public string UserName { get; set; } = null!;

    [StringLength(32)]
    public string LastAction { get; set; } = null!;

    public string? Message { get; set; }

    public Guid? SystemGuid { get; set; }
}
